Bug 975869 - SASL broken in upgrade from 2.2.2 to 2.2.3
SASL broken in upgrade from 2.2.2 to 2.2.3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 09:44 EDT by Trever Adams
Modified: 2013-08-02 18:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: dovecot-2.2.4-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-02 18:03:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trever Adams 2013-06-19 09:44:59 EDT
Description of problem:
Jun 19 07:42:39 PrancingPony dovecot: auth: Error: Raw backtrace: /usr/lib64/dovecot/libdovecot.so.0(+0x5f437) [0x7f722a0d6437] -> /usr/lib64/dovecot/libdovecot.so.0(+0x5f4fe) [0x7f722a0d64fe] -> /usr/lib64/dovecot/libdovecot.so.0(i_error+0) [0x7f722a09770f] -> /usr/lib64/dovecot/libdovecot.so.0(+0x72ee8) [0x7f722a0e9ee8] -> /usr/lib64/dovecot/libdovecot.so.0(+0x72f1f) [0x7f722a0e9f1f] -> /usr/lib64/dovecot/libdovecot.so.0(sasl_client_new+0x31) [0x7f722a0cdac1] -> /lib64/libldap-2.4.so.2(ldap_int_sasl_open+0x5c) [0x7f7226e9758c] -> /lib64/libldap-2.4.so.2(ldap_int_sasl_bind+0x5c9) [0x7f7226e97cd9] -> /lib64/libldap-2.4.so.2(ldap_sasl_interactive_bind+0x96) [0x7f7226e9ae46] -> /lib64/libldap-2.4.so.2(ldap_sasl_interactive_bind_s+0xe1) [0x7f7226e9b041] -> /usr/lib64/dovecot/auth/libauthdb_ldap.so(db_ldap_connect+0x146) [0x7f72270d6286] -> dovecot/auth(userdb_init+0x1a) [0x7f722a5879ea] -> dovecot/auth(auths_init+0xc9) [0x7f722a56fe29] -> dovecot/auth(main+0x335) [0x7f722a56f225] -> /lib64/libc.so.6(__libc_start_main+0xf5) [0x7f722968fb75] -> dovecot/auth(+0xe43d) [0x7f722a56f43d]


Version-Release number of selected component (if applicable):
dovecot-2.2.3-1.fc19.x86_64
Comment 1 Trever Adams 2013-07-08 05:20:24 EDT
abrt doesn't seem to pick this up, so I am not sure how to debug this. However, this still exists:

Jul  8 03:17:23 PrancingPony dovecot: auth: Fatal: block_alloc(2147483648): Out of memory
Jul  8 03:17:23 PrancingPony dovecot: auth: Error: Raw backtrace: /usr/lib64/dovecot/libdovecot.so.0(+0x5f437) [0x7f76e30b4437] -> /usr/lib64/dovecot/libdovecot.so.0(+0x5f4fe) [0x7f76e30b44fe] -> /usr/lib64/dovecot/libdovecot.so.0(i_error+0) [0x7f76e307570f] -> /usr/lib64/dovecot/libdovecot.so.0(+0x72ee8) [0x7f76e30c7ee8] -> /usr/lib64/dovecot/libdovecot.so.0(+0x72f1f) [0x7f76e30c7f1f] -> /usr/lib64/dovecot/libdovecot.so.0(sasl_client_new+0x31) [0x7f76e30abac1] -> /lib64/libldap-2.4.so.2(ldap_int_sasl_open+0x5c) [0x7f76dfe7558c] -> /lib64/libldap-2.4.so.2(ldap_int_sasl_bind+0x5c9) [0x7f76dfe75cd9] -> /lib64/libldap-2.4.so.2(ldap_sasl_interactive_bind+0x96) [0x7f76dfe78e46] -> /lib64/libldap-2.4.so.2(ldap_sasl_interactive_bind_s+0xe1) [0x7f76dfe79041] -> /usr/lib64/dovecot/auth/libauthdb_ldap.so(db_ldap_connect+0x146) [0x7f76e00b4286] -> dovecot/auth(userdb_init+0x1a) [0x7f76e35659ea] -> dovecot/auth(auths_init+0xc9) [0x7f76e354de29] -> dovecot/auth(main+0x335) [0x7f76e354d225] -> /lib64/libc.so.6(__libc_start_main+0xf5) [0x7f76e266db75] -> dovecot/auth(+0xe43d) [0x7f76e354d43d]

dovecot-2.2.4-1.fc19.x86_64
Comment 2 Trever Adams 2013-07-10 06:16:40 EDT
http://hg.dovecot.org/dovecot-2.2/rev/2dd27b0e7e49

This changeset fixes the problem according to Timo.
Comment 3 Michal Hlavinka 2013-07-10 11:05:02 EDT
Let's see if it really fixes this. Please test following package:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5591951
and let me know the result
Comment 4 Trever Adams 2013-07-10 11:16:15 EDT
This fixes it. Thank you for your work!
Comment 5 Trever Adams 2013-07-10 11:20:26 EDT
Although, the -x part of the version was not bumped. This will cause problems if these packages are pushed.
Comment 6 Michal Hlavinka 2013-07-10 11:35:06 EDT
Thanks for testing. It was just scratch build for testing. Proper update has releasenumber++
Comment 7 Fedora Update System 2013-07-10 12:05:16 EDT
dovecot-2.2.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dovecot-2.2.4-2.fc19
Comment 8 Fedora Update System 2013-07-11 23:19:55 EDT
Package dovecot-2.2.4-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dovecot-2.2.4-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12866/dovecot-2.2.4-2.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-08-02 18:03:52 EDT
dovecot-2.2.4-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.